### org.jfree.layouting.layouter.context

# Class DefaultDocumentContext

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.DefaultDocumentMetaNode`
  - - `org.jfree.layouting.layouter.context.DefaultDocumentContext`

Implemented Interfaces:
  DocumentContext, DocumentMetaNode

`public class DefaultDocumentContext`
`extends DefaultDocumentMetaNode`
`implements DocumentContext`

Creation-Date: 08.12.2005, 20:17:07

Author:
  Thomas Morgner

  ### Fields inherited from interface org.jfree.layouting.layouter.context.DocumentContext

  `BASE_RESOURCE_ATTR`, `DATE_ATTR`, `INITIAL_STYLE`, `LOCALIZATION_ATTR`, `RESOURCE_MANAGER_ATTR`, `STRICT_STYLE_MODE`, `STYLE_MATCHER_ATTR`, `STYLE_RESOLVER_ATTR`, `TITLE_ATTR`

  ## Constructor Summary

  `DefaultDocumentContext()`

  ## Method Summary

  `void`

  `addMetaNode(DocumentMetaNode node)`

  `void`

  `closeQuote()`

  `CSSValue`

  `getCounterPolicy(String name)`

  `CounterStyle`

  `getCounterStyle(String counterName)`

  `DocumentMetaNode`

  `getMetaNode(int index)`

  `int`

  `getMetaNodeCount()`

  `NamespaceCollection`

  `getNamespaces()`

  `int`

  `getQuoteLevel()`

  `ResourceManager`

  `getResourceManager()`

  `CSSValue`

  `getStringPolicy(String name)`

  `void`

  `initialize()`
    This method is called once after the input-feed received all the document meta-data.

  `void`

  `openQuote()`

  `void`

  `removeMetaNode(DocumentMetaNode node)`

  `void`

  `setCounterPolicy(String name, CSSValue policy)`

  `void`

  `setCounterStyle(String counterName, CounterStyle style)`

  `void`

  `setStringPolicy(String name, CSSValue policy)`

  ### Methods inherited from class org.jfree.layouting.layouter.context.DefaultDocumentMetaNode

  `getMetaAttribute`, `setMetaAttribute`

## Constructor Details

### DefaultDocumentContext

    public DefaultDocumentContext()

## Method Details

### addMetaNode

    public void addMetaNode(DocumentMetaNode node)

> Specified by:
>   addMetaNode in interface DocumentContext

### closeQuote

    public void closeQuote()

### getCounterPolicy

    public CSSValue getCounterPolicy(String name)

> Specified by:
>   getCounterPolicy in interface DocumentContext

### getCounterStyle

    public CounterStyle getCounterStyle(String counterName)

> Specified by:
>   getCounterStyle in interface DocumentContext

### getMetaNode

    public DocumentMetaNode getMetaNode(int index)

> Specified by:
>   getMetaNode in interface DocumentContext

### getMetaNodeCount

    public int getMetaNodeCount()

> Specified by:
>   getMetaNodeCount in interface DocumentContext

### getNamespaces

    public NamespaceCollection getNamespaces()

> Specified by:
>   getNamespaces in interface DocumentContext

### getQuoteLevel

    public int getQuoteLevel()

### getResourceManager

    public ResourceManager getResourceManager()

> Specified by:
>   getResourceManager in interface DocumentContext

### getStringPolicy

    public CSSValue getStringPolicy(String name)

> Specified by:
>   getStringPolicy in interface DocumentContext

### initialize

    public void initialize()

> This method is called once after the input-feed received all the document meta-data.
> Specified by:
>   initialize in interface DocumentContext

### openQuote

    public void openQuote()

### removeMetaNode

    public void removeMetaNode(DocumentMetaNode node)

> Specified by:
>   removeMetaNode in interface DocumentContext

### setCounterPolicy

    public void setCounterPolicy(String name,
                                 CSSValue policy)

> Specified by:
>   setCounterPolicy in interface DocumentContext

### setCounterStyle

    public void setCounterStyle(String counterName,
                                CounterStyle style)

> Specified by:
>   setCounterStyle in interface DocumentContext

### setStringPolicy

    public void setStringPolicy(String name,
                                CSSValue policy)

> Specified by:
>   setStringPolicy in interface DocumentContext